%define major	6
%define libname %mklibname ice %{major}
%define devname	%mklibname ice -d

Name:		libice
Summary:	X Inter Client Exchange Library
Version:	1.0.8
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libICE-%{version}.tar.bz2

BuildRequires:	x11-proto-devel >= 1.0.0
BuildRequires:	x11-util-macros >= 1.0.1
BuildRequires:	x11-xtrans-devel >= 1.0.0

%description
libice provides an interface to ICE, the Inter-Client Exchange protocol.
Motivated by issues arising from the need for X Window System clients to
share data with each other, the ICE protocol provides a generic framework for
building protocols on top of reliable, byte-stream transport connections. It
provides basic mechanisms for setting up and shutting down connections, for
performing authentication, for negotiating versions, and for reporting
errors.

#-----------------------------------------------------------

%package -n %{libname}
Summary:	X Inter Client Exchange Library
Group:		Development/X11
Conflicts:	libxorg-x11 < 7.0
Provides:	%{name} = %{version}

%description -n %{libname}
libice provides an interface to ICE, the Inter-Client Exchange protocol.
Motivated by issues arising from the need for X Window System clients to
share data with each other, the ICE protocol provides a generic framework for
building protocols on top of reliable, byte-stream transport connections. It
provides basic mechanisms for setting up and shutting down connections, for
performing authentication, for negotiating versions, and for reporting
errors.

#-----------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}ice6-devel < 1.0.7-3
Obsoletes:	%{_lib}ice6-static-devel < 1.0.7-3
Conflicts:	libxorg-x11-devel < 7.0
Conflicts:	%{_lib}ice6 < 1.0.7-3

%description -n %{devname}
Development files for %{name}

#-----------------------------------------------------------

%prep
%setup -q -n libICE-%{version}

%build
%configure2_5x \
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir} \
	--disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

mv %{buildroot}/%{_defaultdocdir}/libICE installed-docs

#we don't want these
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%pre -n %{devname}
if [ -h %{_includedir}/X11 ]; then
        rm -f %{_includedir}/X11
fi

%files -n %{devname}
%defattr(-,root,root)
%doc installed-docs/*
%{_libdir}/libICE.so
%{_libdir}/pkgconfig/ice.pc
%{_includedir}/X11/ICE/ICEutil.h
%{_includedir}/X11/ICE/ICE.h
%{_includedir}/X11/ICE/ICEproto.h
%{_includedir}/X11/ICE/ICEconn.h
%{_includedir}/X11/ICE/ICElib.h
%{_includedir}/X11/ICE/ICEmsg.h

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libICE.so.%{major}*


%changelog

* Mon Mar 05 2012 tv <tv> 1.0.8-1.mga2
+ Revision: 218473
- new release

* Fri Dec 16 2011 wally <wally> 1.0.7-3.mga2
+ Revision: 182636
- remove major from devel pkg name
- drop .la files
- disable static build
- move docs to -devel pkg

* Sat Jan 08 2011 blino <blino> 1.0.7-2.mga1
+ Revision: 1072
- remove old ldconfig scriptlets
- imported package libice

